Subject: Re: Interfaces to VR devices

From: [email-masked] (Bob Salnick)
Date: Mon, 21 Oct 91 06:36:16 PST

> We could have some set of operations/functions that all interfaces
> should support, either using the hardware feature or simulating it in
> software. Then any application that uses only that basic set of
> operations will work with any device. Then, there would be options
> unique to a specific device. These interfaces would still support the
> basic standard, but add on some new function calls. Then a program may
> be written that requires a specific device.
> 
> Something like we have with modems. There is a basic command set (hayes
> AT set) for neccessary things like RESET, DIAL, ANSWER, HANGUP, etc.
> Any software that uses only these commands will work with most modems.
> Then there are optional things some modems have, like MNP COMPRESSION,
> protocols, interface speed locking, buffers, etc. A program can use
> these features but then it will not work with other modems.

A greate analogy might be the input equivalent to the way the Amiga handles
the printer:

There is one device which all software talks to: the PRT: device.  This
device is able to handle what ever printer is attached - to take
advantage of whatever functions the printer contains.  Software which
wants to print graphics, for example, will be told that this capability does
not exist if a daisy wheel printer is attached. 

To work in this faxhion, the software has to be broken into two parts - the
GLOVE: device, and the driver for the particular glove attached.  (In general,
I would suggest that the device be called INPUT: since assuming a glove may
be inappropriate for the future.)

bob

Bob Salnick, Spokane,WA |  USENET:     oliveb!isc-br!tau-ceti!DejaVu!salnick
  Amiga 1000, WB 1.3    |  INTERNET:   [email-masked]
      WA9BVE            |         (FireStorm '91 survivor)